%define pfx /opt/freescale/rootfs/%{_target_cpu}

Summary         : Skelleton files for an embedded root filesystem
Name            : skell
Version         : 1.18
Release         : 2
License         : GPL
Vendor          : Freescale
Packager        : Steve Papacharalambous/Stuart Hughes
Group           : System Environment/Utilities
Source          : %{name}-%{version}.tar.gz
Patch1          : %{name}-%{version}-dropbear_args.patch
Patch2          : %{name}-%{version}_modules.patch
Patch3          : %{name}-%{version}_Makefile.patch
Patch4          : %{name}-%{version}_srwuser.patch
BuildRoot       : %{_tmppath}/%{name}
Prefix          : %{pfx}

%Description
%{summary}

%Prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%Build

%Install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT/%{pfx} install
if [ -z "$PKG_SKELL_WANT_TERMINFO" ]
then
    rm -rf $RPM_BUILD_ROOT/%{pfx}/usr/share/terminfo
fi
if [ "$PKG_MDNSRESPONDER" = "y" ]
then
    perl -ni -e '
      m,^hosts,  &&  do { $_ = "hosts:      files mdns nisplus nis dns\n" };
      print;
      ' $RPM_BUILD_ROOT/%{pfx}/etc/nsswitch.conf
fi

if [ -d $RPM_BUILD_ROOT/%{pfx}/home/user ]
then
	rm -rf $RPM_BUILD_ROOT/%{pfx}/home/user
fi
if [ -f $RPM_BUILD_ROOT/%{pfx}/usr/bin/startx ]
then
	rm -f $RPM_BUILD_ROOT/%{pfx}/usr/bin/startx
fi

echo "text/cache-manifest	mf manifest appcache" >> $RPM_BUILD_ROOT/%{pfx}/etc/mime.types

%Clean
rm -rf $RPM_BUILD_ROOT

%Files
%defattr(-,root,root)
%attr(0666, root, root) %dev(c, 5, 0) %{pfx}/dev/tty
%attr(0600, root, root) %dev(c, 5, 1) %{pfx}/dev/console
%attr(0666, root, root) %dev(c, 1, 3) %{pfx}/dev/null
%{pfx}/*
